# mdtraj.chemical_shifts_spartaplus

mdtraj.chemical_shifts_spartaplus(trj, rename_HN=True)

  Predict chemical shifts of a trajectory using SPARTA+.

  Parameters:

    - trj (Trajectory) – Trajectory to predict shifts for.

    - rename_HN (bool, optional, default=True) – SPARTA+ calls the amide proton “HN” instead of the standard “H”. When True, this option renames the output as “H” to match the PDB and BMRB nomenclature.

  Returns:

    results – Dataframe containing results, with index consisting of (resSeq, atom_name) pairs and columns for each frame in trj.

  Return type:

    pandas.DataFrame

  Notes

  You must have SPARTA+ available on your path; see (http://spin.niddk.nih.gov/bax/software/SPARTA+/). Also, the SPARTAP_DIR environment variable must be set so that SPARTA+ knows where to find its database files.

  Chemical shift prediction is for PROTEIN atoms; trajectory objects with ligands, solvent, ions, or other non-protein components may give UNKNOWN RESULTS.

  Please cite the appropriate reference below.

  References

  [1]

  Shen, Y., and Bax, Ad. “SPARTA+: a modest improvement in empirical NMR chemical shift prediction by means of an artificial neural network.” J. Biomol. NMR, 48, 13-22 (2010)